aboutsummaryrefslogtreecommitdiffstats
path: root/chapter7/libstdc++.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter7/libstdc++.sh')
-rw-r--r--chapter7/libstdc++.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/chapter7/libstdc++.sh b/chapter7/libstdc++.sh
new file mode 100644
index 0000000..c2ef63b
--- /dev/null
+++ b/chapter7/libstdc++.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+ln -s gthr-posix.h libgcc/gthr-default.h
+mkdir build
+cd build || exit 1
+../libstdc++-v3/configure \
+ CXXFLAGS="-g -O2 -D_GNU_SOURCE" \
+ --prefix=/usr \
+ --disable-multilib \
+ --disable-nls \
+ --host="$(uname -m)"-lfs-linux-gnu \
+ --disable-libstdcxx-pch &&
+make &&
+make -j1 install